Open CASCADE Technology
7.5.0
|
Describes functions to build tori or portions of tori. A MakeTorus object provides a framework for: More...
#include <BRepPrimAPI_MakeTorus.hxx>
Public Member Functions | |
BRepPrimAPI_MakeTorus (const Standard_Real R1, const Standard_Real R2) | |
Make a torus. More... | |
BRepPrimAPI_MakeTorus (const Standard_Real R1, const Standard_Real R2, const Standard_Real angle) | |
Make a section of a torus. More... | |
BRepPrimAPI_MakeTorus (const Standard_Real R1, const Standard_Real R2, const Standard_Real angle1, const Standard_Real angle2) | |
Make a torus with angles on the small circle. More... | |
BRepPrimAPI_MakeTorus (const Standard_Real R1, const Standard_Real R2, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle) | |
Make a torus with angles on the small circle. More... | |
BRepPrimAPI_MakeTorus (const gp_Ax2 &Axes, const Standard_Real R1, const Standard_Real R2) | |
Make a torus. More... | |
BRepPrimAPI_MakeTorus (const gp_Ax2 &Axes, const Standard_Real R1, const Standard_Real R2, const Standard_Real angle) | |
Make a section of a torus. More... | |
BRepPrimAPI_MakeTorus (const gp_Ax2 &Axes, const Standard_Real R1, const Standard_Real R2, const Standard_Real angle1, const Standard_Real angle2) | |
Make a torus. More... | |
BRepPrimAPI_MakeTorus (const gp_Ax2 &Axes, const Standard_Real R1, const Standard_Real R2, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle) | |
Make a section of a torus of radii R1 R2. For all algorithms The resulting shape is composed of. More... | |
Standard_Address | OneAxis () |
Returns the algorithm. More... | |
BRepPrim_Torus & | Torus () |
Returns the algorithm. More... | |
Public Member Functions inherited from BRepPrimAPI_MakeOneAxis | |
virtual void | Build () override |
Stores the solid in myShape. More... | |
const TopoDS_Face & | Face () |
Returns the lateral face of the rotational primitive. More... | |
operator TopoDS_Face () | |
const TopoDS_Shell & | Shell () |
Returns the constructed rotational primitive as a shell. More... | |
operator TopoDS_Shell () | |
const TopoDS_Solid & | Solid () |
Returns the constructed rotational primitive as a solid. More... | |
operator TopoDS_Solid () | |
Public Member Functions inherited from BRepBuilderAPI_MakeShape | |
virtual const TopoDS_Shape & | Shape () |
Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More... | |
operator TopoDS_Shape () | |
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) |
Returns the list of shapes generated from the shape <S>. More... | |
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S) |
Returns the list of shapes modified from the shape <S>. More... | |
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S) |
Returns true if the shape S has been deleted. More... | |
Public Member Functions inherited from BRepBuilderAPI_Command | |
virtual | ~BRepBuilderAPI_Command () |
virtual Standard_Boolean | IsDone () const |
void | Check () const |
Raises NotDone if done is false. More... | |
Additional Inherited Members | |
Protected Member Functions inherited from BRepBuilderAPI_MakeShape | |
BRepBuilderAPI_MakeShape () | |
Protected Member Functions inherited from BRepBuilderAPI_Command | |
BRepBuilderAPI_Command () | |
Set done to False. More... | |
void | Done () |
Set done to true. More... | |
void | NotDone () |
Set done to false. More... | |
Protected Attributes inherited from BRepBuilderAPI_MakeShape | |
TopoDS_Shape | myShape |
TopTools_ListOfShape | myGenerated |
Describes functions to build tori or portions of tori. A MakeTorus object provides a framework for:
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const Standard_Real | R1, |
const Standard_Real | R2 | ||
) |
Make a torus.
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const Standard_Real | R1, |
const Standard_Real | R2, | ||
const Standard_Real | angle | ||
) |
Make a section of a torus.
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
angle | [in] angle to create a torus pipe segment |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const Standard_Real | R1, |
const Standard_Real | R2, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2 | ||
) |
Make a torus with angles on the small circle.
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
angle1 | [in] first angle to create a torus ring segment |
angle2 | [in] second angle to create a torus ring segment |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const Standard_Real | R1, |
const Standard_Real | R2, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2, | ||
const Standard_Real | angle | ||
) |
Make a torus with angles on the small circle.
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
angle1 | [in] first angle to create a torus ring segment |
angle2 | [in] second angle to create a torus ring segment |
angle | [in] angle to create a torus pipe segment |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const gp_Ax2 & | Axes, |
const Standard_Real | R1, | ||
const Standard_Real | R2 | ||
) |
Make a torus.
Axes | [in] coordinate system for the construction of the sphere |
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const gp_Ax2 & | Axes, |
const Standard_Real | R1, | ||
const Standard_Real | R2, | ||
const Standard_Real | angle | ||
) |
Make a section of a torus.
Axes | [in] coordinate system for the construction of the sphere |
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
angle | [in] angle to create a torus pipe segment |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const gp_Ax2 & | Axes, |
const Standard_Real | R1, | ||
const Standard_Real | R2, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2 | ||
) |
Make a torus.
Axes | [in] coordinate system for the construction of the sphere |
R1 | [in] distance from the center of the pipe to the center of the torus |
R2 | [in] radius of the pipe |
angle1 | [in] first angle to create a torus ring segment |
angle2 | [in] second angle to create a torus ring segment |
BRepPrimAPI_MakeTorus::BRepPrimAPI_MakeTorus | ( | const gp_Ax2 & | Axes, |
const Standard_Real | R1, | ||
const Standard_Real | R2, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2, | ||
const Standard_Real | angle | ||
) |
Make a section of a torus of radii R1 R2. For all algorithms The resulting shape is composed of.
|
virtual |
Returns the algorithm.
Implements BRepPrimAPI_MakeOneAxis.
BRepPrim_Torus& BRepPrimAPI_MakeTorus::Torus | ( | ) |
Returns the algorithm.